Subject: Re: [PATCH net-next 5/5] net: dsa: b53: Add SerDes support

From: Andrew Lunn <[email-masked]>
Date: Wed, 5 Sep 2018 01:15:43 +0200

On Tue, Sep 04, 2018 at 03:11:20PM -0700, Florian Fainelli wrote:
> Add support for the Northstar Plus SerDes which is accessed through a
> special page of the switch. Since this is something that most people
> probably will not want to use, make it a configurable option.
> 
> The SerDes supports both SGMII and 1000baseX modes, and is internally
> looking like a seemingly standard MII PHY, except for the few bits that
> got repurposed.

Hi Florian

The SERDES in the 6352 also look very similar to a standard MII PHYs.

Maybe at some point, we should look at the SERDES drivers we have
embedded in different MAC drivers, and see if we can pull them out,
maybe put them in drivers/net/phy. Any SERDES driver being used in
combination with phylink probably has the same API.

   Andrew